/**
*updateserver App
* Implementing an App to manage application App.
*/
var UpdateServerApp = UpdateServerApp || {};  //Define Update Server App namespace.
/**
*Constructor UNAS App
*/
UpdateServerApp.App = function () {
    this.id = 'Update Server';
    this.name = 'Update Server';
    this.version = '6.0.1';
    this.active = false;
    this.menuIcon = '/apps/updateserver/images/logo.png';
    this.shortcutIcon = '/apps/updateserver/images/logo.png';
    //this.entryHelpUrl = '/apps/updateserver/updateserver_help.html';
    this.entryUrl = '/apps/updateserver/updateserver.html';
    var self = this;
    this.UpdateServerAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Update Server')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UpdateServerAppWindow',
            title: UNAS._('Update Server'),
			icon: '/apps/updateserver/images/logo_small.png',
            width: 700,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            loadMethod: 'xhr',
            contentURL: '/apps/updateserver/updateserver.html',
			require: {  css: ['/apps/updateserver/css/updateserver.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Update Server",'UpdateServerAppWindow')}
        });
    };
    this.UpdateServerUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Update Server');
    	UNAS.RemoveMenu('Update Server');
    	UNAS.RemoveAppFromGroups('Update Server', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Update Server', 'Help');
    	UNAS.RemoveAppFromApps('Update Server');
    };
    UNAS.LoadTranslation('/apps/updateserver/languages/Translation?v='+this.version,onChangeLanguage);
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Update Server', '', this.UpdateServerAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Update Server', this.UpdateServerAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 0, 'Icon': this.shortcutIcon, 'Url': this.entryHelpUrl}, {});
    var onChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Update Server', UNAS._('Update Server')); //translate menu
        //UNAS.SetShortcutTitle('Update Server', UNAS._('Update Server'));
		if (typeof self.window !== 'undefined') {
			UNAS.SetWindowTitle('UpdateServerAppWindow', UNAS._('Update Server'));
        }
	}
	UNAS.Event.addEvent('ChangeLanguage', onChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UpdateServerAppWindow, this.UpdateServerUninstall);
};

new UpdateServerApp.App(); //Create app
